summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-02-15 15:00:23 +0100
committerRemi Collet <remi@remirepo.net>2021-02-15 15:00:23 +0100
commit6c154c5753df4f38e5930edfb54788e8cb306440 (patch)
tree8e3b8c406b8897e75f0b4fff7a4210ae306e86e0
parent58ca8998004936e2196c35ebea28fd663eceedf7 (diff)
update to 3.4.0HEADmaster
raise dependency on PHP 7.3 switch to phpunit9
-rw-r--r--composer.json12
-rw-r--r--php-laminas-crypt.spec34
2 files changed, 23 insertions, 23 deletions
diff --git a/composer.json b/composer.json
index a1c6bea..4445eb9 100644
--- a/composer.json
+++ b/composer.json
@@ -18,14 +18,8 @@
"config": {
"sort-packages": true
},
- "extra": {
- "branch-alias": {
- "dev-master": "3.3.x-dev",
- "dev-develop": "3.4.x-dev"
- }
- },
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"ext-mbstring": "*",
"container-interop/container-interop": "^1.2",
"laminas/laminas-math": "^3.0",
@@ -34,7 +28,7 @@
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
+ "phpunit/phpunit": "^9.3"
},
"suggest": {
"ext-openssl": "Required for most features of Laminas\\Crypt"
@@ -63,6 +57,6 @@
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zend-crypt": "self.version"
+ "zendframework/zend-crypt": "^3.3.1"
}
}
diff --git a/php-laminas-crypt.spec b/php-laminas-crypt.spec
index d945b20..91b4bd3 100644
--- a/php-laminas-crypt.spec
+++ b/php-laminas-crypt.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-crypt
#
-# Copyright (c) 2015-2020 Remi Collet
+# Copyright (c) 2015-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 5f5dfe3ca08c965cc1f44f95831a83a81a93bf78
+%global gh_commit a058eeb2fe57824b958ac56753faff790a649e18
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-crypt
@@ -22,8 +22,8 @@
%endif
Name: php-%{gh_project}
-Version: 3.3.1
-Release: 2%{?dist}
+Version: 3.4.0
+Release: 1%{?dist}
Summary: Laminas Framework %{library} component
License: BSD
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
BuildRequires: php-mbstring
BuildRequires: php-hash
BuildRequires: php-openssl
@@ -42,7 +42,7 @@ BuildRequires: php-pcre
BuildRequires: php-spl
# From composer, "require-dev": {
# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
+# "phpunit/phpunit": "^9.3"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(container-interop/container-interop) >= 1.2 with php-composer(container-interop/container-interop) < 2)
@@ -57,20 +57,20 @@ BuildRequires: php-laminas-math
BuildRequires: php-laminas-stdlib
BuildRequires: php-laminas-zendframework-bridge
%endif
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.1.2
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.3
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
# "ext-mbstring": "*",
# "container-interop/container-interop": "^1.2",
# "laminas/laminas-math": "^3.0",
# "laminas/laminas-stdlib": "^2.7.7 || ^3.1",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
Requires: php-mbstring
%if ! %{bootstrap}
# remirepo:1
@@ -102,8 +102,8 @@ Requires: php-spl
Obsoletes: php-ZendFramework2-%{library} < 2.5
Provides: php-ZendFramework2-%{library} = %{version}
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 3.3.1-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 3.3.2
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -176,10 +176,10 @@ require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/autoload.php';
EOF
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit7} \
+ $1 ${2:-%{_bindir}/phpunit9} \
--filter '^((?!(testCcmEncryptWithTagSize|testIsSupportedAndCache)).)*$' \
--verbose || ret=1
fi
@@ -198,6 +198,7 @@ exit $ret
%files
+# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
@@ -207,6 +208,11 @@ exit $ret
%changelog
+* Mon Feb 15 2021 Remi Collet <remi@remirepo.net> - 3.4.0-1
+- update to 3.4.0
+- raise dependency on PHP 7.3
+- switch to phpunit9
+
* Fri Jan 17 2020 Remi Collet <remi@remirepo.net> - 3.3.1-2
- cleanup